%define menudir %{_datadir}/applications
%define icondir %{_datadir}/icons

Name: michaelvis
Version: 1.3
Release: 1%{?dist}
Summary: A interface for web dictionaries
Group: Applications/Text
License: GPLv2
URL: http://ateliedematematica.blogspot.com
Source0: http://dellalibera.sourceforge.net/michaelvis/%{version}/michaelvis_%{version}_all.deb

#BuildRequires:  

Requires: zenity
Requires: lynx
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

%description
A interface for web dictionaries, simple and useful, simple because 
is just type what you want to know and return to your book, and useful 
because every time you query it writes the word on your computer, 
so you do not need to be online to learn again the meaning 
of the same thing and can only get online in your reading.


%prep
ar -x %{SOURCE0}
tar -zxvf data.tar.gz
tar -zxvf control.tar.gz
rm -rf usr/share/michaelvis

%build



%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/xdg/menus/applications-merged
cp etc/xdg/menus/applications-merged/michaelvis.menu %{buildroot}%{_sysconfdir}/xdg/menus/applications-merged/
cp -a usr %{buildroot}/usr
mkdir -p %{buildroot}/var/cache/michaelvis
DIR=var/cache/michaelvis
for d in {ingles,espanhol,alemao,frances,italiano}; do
  mkdir -p %{buildroot}/$DIR/$d/{$d,portugues}/{a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z}
done
mkdir -p %{buildroot}/$DIR/{significados,nomesproprios}/{a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z}



%clean
rm -rf %{buildroot}


%files 
%defattr(-,root,root)
%{_bindir}/michaelvis
%{_sysconfdir}/xdg/menus/applications-merged/michaelvis.menu
%{_datadir}/desktop-directories/Michaelvis.directory
%{menudir}/Michaelvis*.desktop
%{icondir}/michaelvis/*.png

%changelog
* Mon Sep 07 2009 Rafael Gomes <rafaelgomes@projetofedora.org> 1.3-1
- Initial RPM release
